/*
    Pezzonoid - An implementation of the classic Arkanoid using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Fabio Pezzo

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "ball.h"

Ball::Ball() : Sprite ("ball.bmp",Point(269,440)), x(269), y(440),vx(-1),vy(-1),power(1)
{}

Ball::~Ball()
{}

void Ball::onTick()
{
    if ( getLeftTopCorner().getX() <= 5 || getLeftTopCorner().getX()+12 >= SCREEN_W - 5) {     //detect collisions with left and right sides
        vx = -vx;
    }

    if (getLeftTopCorner().getY() <= 65) {     //detect collision with top
        vy = 1;
    }
  
  /*//detect collision with pad
    else if ( getLeftTopCorner().getY() == bar.getLeftTopCorner().getY() && getLeftTopCorner().getX() >= bar.getLeftTopCorner().getX() && getLeftTopCorner().getX() <= bar.getLeftTopCorner().getX() + bar.getWidth()) {
        vy = -1;
        //determine horizontal direction (which half of pad was hit?)
        vx = (getLeftTopCorner().getX() < bar.getLeftTopCorner().getX + bar.getHeight() ? -1 : 1);
    }*/


    else if (getLeftTopCorner().getY() >= SCREEN_H - 5) {       //detect collision with bottom , //reset ball
        x = 269; y = 440;
        setLeftTopCorner(Point(x,y));
        vx = vy = -1;
    }                                                                                                            
    //move ball
    x += vx;
    y += vy;
    setLeftTopCorner(Point(x,y));
 
    acquire_screen();
    release_screen();
 
    rest(10);  

}

