/*
    Pezzonoid - An implementation of the classic Arkanoid using the Allegro
    library (version 4) and the Allegro Wrapper
    Copyright (C) 2013, Fabio Pezzo

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef BRICK_H
#define BRICK_H

#include "Allegro.h"

class Brick : public Sprite
{
  private:
  int x;
  int y;
  int life;

  public:
  Brick();
  ~Brick();
  bool hitUpperSide(int x, int y);
  bool hitLeftSide(int x, int y);
  bool hitRightSide(int x, int y);
  bool hitBase(int x, int y);
  virtual Drawable* clone() const { return new Brick(*this); }
  virtual bool alive() const { return life>0; } //se il mattoncino è vivo


};

#endif
